#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB8,0x87,0xD8,0xEE,0x9D,0x1D,0x89,0x1A,0xA1,0x63,0xDF,0xD9,
		0xDF,0xF4,0x63,0x95,0x8A,0x1D,0xA1,0x83,0x6E,0x40,0x47,0x44,
		0x3D,0x80,0x93,0x20,0xD1,0x4D,0xD7,0xD8,0x9A,0x6D,0x9E,0xF5,
		0x96,0xDC,0x24,0x40,0x26,0xC0,0x43,0x32,0xC2,0xD8,0x5F,0xC4,
		0x37,0x89,0xA8,0x2A,0x0A,0x7E,0x00,0x13,0x7D,0x5C,0x90,0x35,
		0xD0,0x2C,0xC5,0x23,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
